<?php
	//---------------------------------------------------------------------------------------------------------
	// 20/Abril/2015
	// Versión 1.0 Fichero para mostrar los pedidos del usuario.
	//---------------------------------------------------------------------------------------------------------
?>
<div class="cabecera_depositos">
	<p class="nombre_apartado"><?=traducir("Depósitos");?></p>
	<div class="filtrado">
<?php
	//Vamos a meter aquí el filtrado:
	$opciones = new OpcionesWidget(array("clase_filtrado" => "filtrado_depositos"));
	$opciones->addElement(array("nombre" => "filtrado_libros", "texto" => traducir("Librería"), "tipo" => "check", "name" => "solo_libros", "valor_x_defecto" => getSessionValue("solo_libros_depositos"), "etiqueta_detras" => true));
	$opciones->addElement(array("nombre" => "filtrado_papeleria", "texto" => traducir("Papelería&Otros"), "tipo" => "check", "name" => "solo_papeleria", "valor_x_defecto" => getSessionValue("solo_papeleria_depositos"), "etiqueta_detras" => true));
	$opciones->addElement(array("nombre" => "fecha_inicio_filtrado", "texto" => traducir("Desde fecha"), "tipo" => "fecha", "name" => "fecha_inicio", "valor_x_defecto" => getSessionValue("fecha_inicio_depositos")));
	$opciones->addElement(array("nombre" => "fecha_fin_filtrado", "texto" => traducir("Hasta fecha"), "tipo" => "fecha", "name" => "fecha_fin", "valor_x_defecto" => getSessionValue("fecha_fin_depositos")));
    new Widget($_WH->GW("filtrados_orden_pedidos_ventas", "form_filtrado"), $opciones);
?>
	</div>
	<div class="orden">
		<p>Ordenar por </p>
<?php	
	//Aquí metemos los formularios para ordenar las líneas, tenemos que pasarle a las funciones la el orden y el tipo de orden actual
	$orden = getSessionValue("orden_depositos");
	$tipo_orden = getSessionValue("tipo_orden_depositos");
	$opciones = new OpcionesWidget(array("clase_orden" => "filtrado_depositos", "campo_orden" => "articulo.nombre", "texto" => traducir("Nombre de artículo"), "orden_actual" => $orden, "tipo_orden_actual" => $tipo_orden));
    new Widget($_WH->GW("filtrados_orden_pedidos_ventas", "form_orden"), $opciones);
	$opciones = new OpcionesWidget(array("clase_orden" => "filtrado_depositos", "campo_orden" => "fech_vencimiento", "texto" => traducir("Fecha de vencimiento"), "orden_actual" => $orden, "tipo_orden_actual" => $tipo_orden));
    new Widget($_WH->GW("filtrados_orden_pedidos_ventas", "form_orden"), $opciones);
	$opciones = new OpcionesWidget(array("clase_orden" => "filtrado_depositos", "campo_orden" => "cab_albaran.num_doc", "texto" => traducir("Número de depósito"), "orden_actual" => $orden, "tipo_orden_actual" => $tipo_orden));
    new Widget($_WH->GW("filtrados_orden_pedidos_ventas", "form_orden"), $opciones);
?>
	</div>
</div>		

<article>
<?php
    new Widget("depositos");
?>
</article>
